Bug 994725 - Compiling autoconf-2.69-13.fc20.src.rpm fails one of the self tests
Compiling autoconf-2.69-13.fc20.src.rpm fails one of the self tests
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 17:28 EDT by stan
Modified: 2014-01-10 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 10:06:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test log that contains output of internal testing while building rpm (59.54 KB, text/x-log)
2013-08-07 17:28 EDT, stan
no flags Details

  None (edit)
Description stan 2013-08-07 17:28:12 EDT
Created attachment 784138 [details]
Test log that contains output of internal testing while building rpm

Description of problem:
I'm compiling the autoconf-2.69-13.fc20.src.rpm.  Everything works except one check.  The output says to send the failure to GNU, but I thought I would give it to you since it is a Fedora package.

Autoconf base layer.

216: AC_REQUIRE: topological sort                    ok
217: AC_REQUIRE: error message                       ok
218: AC_REQUIRE & AC_DEFUN_ONCE: Require, expand     ok
219: AC_REQUIRE & AC_DEFUN_ONCE: Expand, require     ok
220: AC_REQUIRE & AC_PROVIDE                         ok
221: AC_INIT                                         ok
222: AC_INIT with unusual version strings            ok
223: AC_COPYRIGHT                                    ok
224: AC_CACHE_CHECK                                  skipped (base.at:488)
225: AC_CACHE_LOAD                                   ok
226: AC_COMPUTE_INT                                  ok
227: AC_TRY_COMMAND                                  ok
228: Input/Output                                    ok
229: configure arguments                             ok
230: AC_ARG_ENABLE and AC_ARG_WITH                   ok
231: configure directories                           FAILED (base.at:705)

Please send `tests/testsuite.log' and all information you think might help:

   To: <bug-autoconf@gnu.org>
   Subject: [GNU Autoconf 2.69] testsuite: 231 failed

Version-Release number of selected component (if applicable):
autoconf-2.69-13.fc20.src.rpm

How reproducible:
I only tried it once.  I assume it would fail every time.  


Steps to Reproduce:
1.Build the rpm from the src.rpm package, rpmbuild -bb autoconf.spec
2.
3.

Actual results:
Fails test 231


Expected results:
Passes all tests

Additional info:
Comment 1 Pavel Raiskup 2013-08-08 01:54:40 EDT
Thanks for the report.  I'll raise this upstream to fix the testsuite - but it
is not worth to fix downstream.

The problem is:

  a) you have fedora 17
  b) you have installed autoconf from rawhide (including config.site enabled)
  c) you are building it with old redhat-rpm-macros (which does not set the 
     CONFIG_SITE=NONE before building the package).

Anyway, upstream testsuite should take the config.site file into account.  I'll
close this once fixed in upstream.

Pavel
Comment 2 stan 2013-08-08 10:22:16 EDT
Thanks for your explanation.  I knew I was stepping outside the lines, but this confirms it.  Reports of confusing anaconda functionality for my use case scared me off F19.  So I'm waiting for F20 alpha, with the accompanying anaconda improvements, to install F20 and thought I would tweak F17 in the meantime.

I've run into other areas where incompatibility has been more obvious.  Still, a learning experience.

I have no internet facing services, so this isn't as reckless as it sounds.  :-)
Comment 3 Fedora End Of Life 2013-09-16 12:53:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Pavel Raiskup 2013-11-20 02:05:09 EST
Upstream report:
http://lists.gnu.org/archive/html/autoconf-patches/2013-11/msg00002.html
Comment 5 Pavel Raiskup 2013-11-20 03:43:56 EST
I'd like to request one slight improvement - to not redefine CONFIG_SITE in
case it is already defined.

Consider that you wan't to let your compiler know if it is run from
./configure script during rpmbuild (compiler may be run from multiple places
in spec otherwise, especially by make command).  The config.site would be very
useful place to export some variable for that.

diff --git a/macros.in b/macros.in
index e073048..b0c6d6f 100644
--- a/macros.in
+++ b/macros.in
@@ -654,7 +654,7 @@ package or when debugging this package.\
   export CLASSPATH}\
   PKG_CONFIG_PATH=\"${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig:%{_datadir}/pkgconfig\"\
   export PKG_CONFIG_PATH\
-  CONFIG_SITE=NONE\
+  : ${CONFIG_SITE:=NONE}\
   export CONFIG_SITE\
   \
   %{verbose:set -x}%{!verbose:exec > /dev/null}\
Comment 6 Pavel Raiskup 2013-11-20 03:45:42 EST
Scratch the previous comment, it is not about this bugzilla at all, sorry.
Comment 7 Pavel Raiskup 2014-01-10 10:06:16 EST
Fixed upstream similarly like in the comment #4:
http://pkgs.fedoraproject.org/cgit/autoconf.git/commit/?id=50451905
Comment 8 Pavel Raiskup 2014-01-10 10:08:05 EST
Damn..., again bad link, sorry.  Here is the right one:
http://git.savannah.gnu.org/cgit/autoconf.git/commit/?id=251d13ff24

Note You need to log in before you can comment on or make changes to this bug.